//This JSON was modified by AgentMindStorm (@agentms_). Please do not use this document without permission.
{
  "anim_panorama_scroll": {
    "anim_type": "offset",
    "easing": "linear",
    "duration": 136,
    "from": "$panorama_start",
    "to": "$panorama_end",
    "$panorama_start|default": [ 0, 0 ],
    "$panorama_end|default": [ "-569.4%y", 0 ],
    "next": "@debug_screen.anim_panorama_scroll"
  },
  "panorama_overlay": {
    "type": "image",
    "texture": "textures/ui/panorama_overlay",
    "layer": -6,
    "size": [ "100%c", "100%" ],
    "bilinear": true
  },
  "day_panorama": {
    "type": "image",
    "texture": "textures/ui/panorama_day",
    "size": [ "569.44%y", "100%" ],
    "anchor_from": "top_left",
    "anchor_to": "top_left",
    "layer": -7,
    "bilinear": true
  },
  "night_panorama@debug_screen.day_panorama": {
    "texture": "textures/ui/panorama_night"
  },
  "panorama_container": {
    "type": "panel",
    "size": [ "100%", "100%" ],
    "clips_children": true,
    "controls": [
      {
        "panorama_stack": {
          "type": "stack_panel",
          "orientation": "horizontal",
          "size": [ "100%", "100%" ],
          "offset": "@debug_screen.anim_panorama_scroll",
          "$panorama_image|default": "debug_screen.day_panorama",
          "controls": [
            {
              "panorama_1@$panorama_image": {}
            },
            {
              "panorama_2@$panorama_image": {}
            },
            {
              "panorama_3@$panorama_image": {}
            }
          ]
        }
      }
    ]
  },
  "background_panorama": {
    "type": "panel",
    "layer": 0,
    "size": [ "100%", "100%" ],
    "anchor_from": "center",
    "anchor_to": "center",
    "$panorama_layer|default": -10,
    "$panorama_overlay_layer|default": -9,
    "controls": [
      {
        "panorama@debug_screen.panorama_container": {
          "layer": "$panorama_layer"
        }
      },
      {
        "panorama_overlay@debug_screen.panorama_overlay": {
          "layer": "$panorama_overlay_layer"
        }
      }
    ]
  },
  "pregame_background_panorama@debug_screen.background_panorama": {
    "controls": [
      {
        "panorama@debug_screen.panorama_container": {
          "ignored": "(not $is_pregame)"
        }
      },
      {
        "panorama_overlay@debug_screen.panorama_overlay": {
          "ignored": "(not $is_pregame)"
        }
      }
    ]
  },
  "content_panel": {
    "controls": []
  },
  "debug_screen": {
    "screen_draws_last": false,
    "$screen_content": "common.empty_element",
    "$screen_bg_content": "debug_screen.pregame_background_panorama"
  }
}